Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZCollaborationItem Class Reference

The class eZCollaborationItem does. More...

Inheritance diagram for eZCollaborationItem:

## Public Member Functions
| createNotificationEvent ( $subType=false)
| creator ()
| isCreator ()
| participantList ()
| userStatus ()
| handler ()
| useMessages ()
| messageCount ()
| unreadMessageCount ()
| content ()
| title ()
| hasContentAttribute ( $attribute)
| contentAttribute ( $attribute)
| setIsActive ( $active, $userID=false)
| setLastRead ( $userID=false, $timestamp=false)
| handleView ( $viewMode)
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $typeIdentifier, $creatorID, $status=self::STATUS_ACTIVE)
static | fetch ( $id, $creatorID=false, $asObject=true)
static | fetchListCount ( $parameters=array())
static | fetchList ( $parameters=array())
static | fetchListTool ( $parameters=array(), $asCount)
static | cleanup ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
const | STATUS_ACTIVE = 1
const | STATUS_INACTIVE = 2
const | STATUS_ARCHIVE = 3
| $ID
| $TypeIdentifier
| $CreatorID
| $Status
| $Created
| $Modified
| $DataText1
| $DataText2
| $DataText3
| $DataInt1
| $DataInt2
| $DataInt3
| $DataFloat1
| $DataFloat2
| $DataFloat3
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

The class eZCollaborationItem does.

Definition at line 17 of file ezcollaborationitem.php.

## Member Function Documentation

## ◆ cleanup()

static eZCollaborationItem::cleanup | ( |  | ) |
| static

Removes all collaboration items by fetching them and calling remove on them.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 536 of file ezcollaborationitem.php.

References eZDB\instance().

## ◆ content()

eZCollaborationItem::content | ( |  | ) |

Definition at line 223 of file ezcollaborationitem.php.

References handler().

## ◆ contentAttribute()

eZCollaborationItem::contentAttribute | ( |  | $attribute | ) |

Definition at line 254 of file ezcollaborationitem.php.

References handler().

## ◆ create()

static eZCollaborationItem::create | ( |  | $typeIdentifier,
|  |  | $creatorID,
|  |  | $status = `self::STATUS_ACTIVE`
| ) |  |
| static

Definition at line 105 of file ezcollaborationitem.php.

Referenced by eZApproveCollaborationHandler\createApproval().

## ◆ createNotificationEvent()

eZCollaborationItem::createNotificationEvent | ( |  | $subType = `false` | ) |

Creates a collaboration notification event and stores it. subType can be used to specify a sub type of this collaboration item.

Definition at line 122 of file ezcollaborationitem.php.

References eZPersistentObject\attribute(), and eZNotificationEvent\create().

## ◆ creator()

eZCollaborationItem::creator | ( |  | ) |

Definition at line 146 of file ezcollaborationitem.php.

References eZUser\fetch().

## ◆ definition()

static eZCollaborationItem::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 23 of file ezcollaborationitem.php.

Referenced by fetch().

## ◆ fetch()

static eZCollaborationItem::fetch | ( |  | $id,
|  |  | $creatorID = `false`,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 135 of file ezcollaborationitem.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by eZApproveCollaborationHandler\activateApproval(), eZApproveCollaborationHandler\checkApproval(), eZApproveType\checkApproveCollaboration(), eZCollaborationItemGroupLink\collaborationItem(), eZCollaborationItemMessageLink\collaborationItem(), eZCollaborationItemParticipantLink\collaborationItem(), eZCollaborationEventType\eventContent(), eZCollaborationItemParticipantLink\participantRoleString(), eZCollaborationItemParticipantLink\participantTypeString(), and eZCollaborationItemParticipantLink\roleName().

## ◆ fetchList()

static eZCollaborationItem::fetchList | ( |  | $parameters = `array()` | ) |
| static

Definition at line 331 of file ezcollaborationitem.php.

References fetchListTool().

Referenced by eZCollaborationGroup\itemList().

## ◆ fetchListCount()

static eZCollaborationItem::fetchListCount | ( |  | $parameters = `array()` | ) |
| static

Definition at line 270 of file ezcollaborationitem.php.

References fetchListTool().

## ◆ fetchListTool()

static eZCollaborationItem::fetchListTool | ( |  | $parameters = `array()`,
|  |  | $asCount
| ) |  |
| static

Definition at line 336 of file ezcollaborationitem.php.

References eZPersistentObject\count(), eZCollaborationItemStatus\create(), eZUser\currentUserID(), eZPersistentObject\handleRows(), eZDB\instance(), eZDebugSetting\writeDebug(), and eZDebug\writeWarning().

Referenced by fetchList(), and fetchListCount().

## ◆ handler()

eZCollaborationItem::handler | ( |  | ) |

Definition at line 175 of file ezcollaborationitem.php.

References eZPersistentObject\attribute(), and eZCollaborationItemHandler\instantiate().

Referenced by content(), contentAttribute(), handleView(), hasContentAttribute(), messageCount(), title(), unreadMessageCount(), and useMessages().

## ◆ handleView()

eZCollaborationItem::handleView | ( |  | $viewMode | ) |

Definition at line 489 of file ezcollaborationitem.php.

References handler().

## ◆ hasContentAttribute()

eZCollaborationItem::hasContentAttribute | ( |  | $attribute | ) |

Definition at line 244 of file ezcollaborationitem.php.

References handler().

## ◆ isCreator()

eZCollaborationItem::isCreator | ( |  | ) |

Definition at line 155 of file ezcollaborationitem.php.

References eZUser\currentUserID().

## ◆ messageCount()

eZCollaborationItem::messageCount | ( |  | ) |

Returns
  the number of messages in this item.

Note
  The message count is purely abstract and it's up to each handler to return a valid count.

Definition at line 198 of file ezcollaborationitem.php.

References handler().

## ◆ participantList()

eZCollaborationItem::participantList | ( |  | ) |

Definition at line 164 of file ezcollaborationitem.php.

References eZCollaborationItemParticipantLink\fetchParticipantList().

## ◆ setIsActive()

eZCollaborationItem::setIsActive | ( |  | $active,
|  |  | $userID = `false`
| ) |  |

Definition at line 264 of file ezcollaborationitem.php.

References eZPersistentObject\attribute(), and eZCollaborationItemStatus\updateFields().

## ◆ setLastRead()

eZCollaborationItem::setLastRead | ( |  | $userID = `false`,
|  |  | $timestamp = `false`
| ) |  |

Definition at line 319 of file ezcollaborationitem.php.

References eZPersistentObject\attribute(), eZUser\currentUserID(), eZCollaborationItemParticipantLink\setLastRead(), and eZCollaborationItemStatus\setLastRead().

## ◆ title()

eZCollaborationItem::title | ( |  | ) |

Definition at line 233 of file ezcollaborationitem.php.

References handler().

## ◆ unreadMessageCount()

eZCollaborationItem::unreadMessageCount | ( |  | ) |

Returns
  the number of unread messages in this item.

Note
  The message count is purely abstract and it's up to each handler to return a valid count. It's also up the handler to keep track of which messages are read or not.

Definition at line 213 of file ezcollaborationitem.php.

References handler().

## ◆ useMessages()

eZCollaborationItem::useMessages | ( |  | ) |

Returns
  true if the item uses messages.

Note
  It's up to each handler to control this.

Definition at line 184 of file ezcollaborationitem.php.

References handler().

## ◆ userStatus()

eZCollaborationItem::userStatus | ( |  | ) |

Definition at line 169 of file ezcollaborationitem.php.

References eZUser\currentUserID(), and eZCollaborationItemStatus\fetch().

## Member Data Documentation

## ◆ $Created

eZCollaborationItem::$Created

Definition at line 556 of file ezcollaborationitem.php.

## ◆ $CreatorID

eZCollaborationItem::$CreatorID

Definition at line 554 of file ezcollaborationitem.php.

## ◆ $DataFloat1

eZCollaborationItem::$DataFloat1

Definition at line 564 of file ezcollaborationitem.php.

## ◆ $DataFloat2

eZCollaborationItem::$DataFloat2

Definition at line 565 of file ezcollaborationitem.php.

## ◆ $DataFloat3

eZCollaborationItem::$DataFloat3

Definition at line 566 of file ezcollaborationitem.php.

## ◆ $DataInt1

eZCollaborationItem::$DataInt1

Definition at line 561 of file ezcollaborationitem.php.

## ◆ $DataInt2

eZCollaborationItem::$DataInt2

Definition at line 562 of file ezcollaborationitem.php.

## ◆ $DataInt3

eZCollaborationItem::$DataInt3

Definition at line 563 of file ezcollaborationitem.php.

## ◆ $DataText1

eZCollaborationItem::$DataText1

Definition at line 558 of file ezcollaborationitem.php.

## ◆ $DataText2

eZCollaborationItem::$DataText2

Definition at line 559 of file ezcollaborationitem.php.

## ◆ $DataText3

eZCollaborationItem::$DataText3

Definition at line 560 of file ezcollaborationitem.php.

## ◆ $ID

eZCollaborationItem::$ID

Definition at line 552 of file ezcollaborationitem.php.

## ◆ $Modified

eZCollaborationItem::$Modified

Definition at line 557 of file ezcollaborationitem.php.

## ◆ $Status

eZCollaborationItem::$Status

Definition at line 555 of file ezcollaborationitem.php.

## ◆ $TypeIdentifier

eZCollaborationItem::$TypeIdentifier

Definition at line 553 of file ezcollaborationitem.php.

## ◆ STATUS_ACTIVE

const eZCollaborationItem::STATUS_ACTIVE = 1

Definition at line 19 of file ezcollaborationitem.php.

Referenced by eZApproveCollaborationHandler\activateApproval().

## ◆ STATUS_ARCHIVE

const eZCollaborationItem::STATUS_ARCHIVE = 3

Definition at line 21 of file ezcollaborationitem.php.

## ◆ STATUS_INACTIVE

const eZCollaborationItem::STATUS_INACTIVE = 2

Definition at line 20 of file ezcollaborationitem.php.

Referenced by eZApproveCollaborationHandler\handleCustomAction().

The documentation for this class was generated from the following file:

- ezcollaborationitem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.